<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_self', language 'km', version '2.2'.
 *
 * @package     enrol_self
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['customwelcomemessage'] = 'សារស្វាគមន៍តាមបំណង';
$string['defaultrole'] = 'ការផ្តល់តួនាទីលំនាំដើម';
$string['defaultrole_desc'] = 'ជ្រើសតួនាទីដែលនឹងត្រូវបានផ្តល់ឲ្យទៅអ្នកប្រើនៅពេលគេចុះឈ្មោះចូលរៀនដោយខ្លួនឯង';
$string['enrolenddate'] = 'កាលបរិច្ឆេទបញ្ចប់';
$string['enrolenddate_help'] = 'ប្រសិនជាបើក នោះអ្នកប្រើអាចចុះឈ្មោះខ្លួនឯងបានត្រឹមតែដល់ថ្ងៃនេះប៉ុណ្ណោះ។';
$string['enrolenddaterror'] = 'កាលបរិច្ឆេទបញ្ចប់ការចុះឈ្មោះ មិនអាចនៅមុនកាលបរិច្ឆេទចាប់ផ្ដើមបានឡើយ';
$string['enrolme'] = 'ចុះឈ្មោះខ្ញុំ';
$string['enrolperiod'] = 'ថិរវេលាសម្រាប់ការចូលរៀន';
$string['enrolperiod_help'] = 'រយៈពេលដែលសិស្សអាចចូលរៀនបាន ដោយរាប់ចាប់ពីខណៈពេលដែលគាត់បានចុះឈ្មោះចូលរៀន។ ប្រសិនជាបិទ នោះរយៈពេលចូលរៀននឹងមិនកំណត់។';
$string['enrolstartdate'] = 'កាលបរិច្ឆេទចាប់ផ្ដើម';
$string['enrolstartdate_help'] = 'ប្រសិនជាបើក នោះអ្នកប្រើអាចចុះឈ្មោះខ្លួនឯងបានចាប់ពីថ្ងៃនេះប៉ុណ្ណោះ។';
$string['groupkey'] = 'ប្រើកូនសោសម្រាប់ការចុះឈ្មោះក្នុងក្រុម';
$string['groupkey_desc'] = 'ប្រើកូនសោសម្រាប់ការចុះឈ្មោះក្នុងក្រុមជាលំនាំដើម។';
$string['longtimenosee'] = 'លុបឈ្មោះអ្នកអសកម្មបន្ទាប់ពី';
$string['longtimenosee_help'] = 'ប្រសិនបើអ្នកប្រើមិនបានចូលក្នុងវគ្គសិក្សាក្នុងពេលដ៏យូរមួយ នោះគេនឹងត្រូវបានលុបឈ្មោះដោយស្វ័យប្រវត្តិពីវគ្គសិក្សា។ ប៉ារ៉ាមែត្រនេះកំណត់ពីពេលកំណត់នោះ។';
$string['maxenrolled'] = 'អ្នកចូលរៀនអតិបរមា';
$string['maxenrolled_help'] = 'បញ្ជាក់ពីចំនួនអ្នកប្រើអតិបរមាដែលអាចចុះឈ្មោះខ្លួនឯងបាន។ 0 មានន័យថាគ្មានកំណត់។';
$string['maxenrolledreached'] = 'ចំនួនអ្នកចុះឈ្មោះចូលរៀនដោយខ្លួនឯងបានដល់កំណត់អតិបរមាហើយ។';
$string['nopassword'] = 'មិនទាមទារកូនសោសម្រាប់ចូលរៀនទេ។';
$string['password'] = 'កូនសោសម្រាប់ចូលរៀន';
$string['password_help'] = 'កូនសោសម្រាប់ចូលរៀនអាចឲ្យអ្នកដាក់កំហិតការចូលរៀនក្នុងវគ្គសិក្សាសម្រាប់តែអ្នកដែលស្គាល់កូនសោប៉ុណ្ណោះ។

ប្រសិនបើអ្នកទុកប្រអប់ទិន្នន័យនេះឲ្យនៅទទេ នោះអ្នកណាក៏អាចចូលរៀនបានដែរ។

សូមចំណាំថាអ្នកប្រើត្រូវបានទាមទារឲ្យផ្តល់សោសម្រាប់ចូលរៀនតែម្តងប៉ុណ្ណោះនៅពេលដែលគេចុះឈ្មោះចូលរៀន។';
$string['passwordinvalid'] = 'កូនសោសម្រាប់ចូលរៀនមិនត្រឹមត្រូវទេ។ សូមព្យាយាមម្តងទៀត។';
$string['passwordinvalidhint'] = 'កូនសោចុះឈ្មោះមិនត្រឹមត្រូវឡើយ ។ សូមព្យាយាមម្ដងទៀត<br />
(នេះជាព័ត៌មានជំនួយ - វាចាប់ផ្ដើមដោយ \'{$a}\')';
$string['pluginname'] = 'ចុះឈ្មោះដោយខ្លួនឯង';
$string['requirepassword'] = 'ទាមទារកូនសោសម្រាប់ចូលរៀន';
$string['role'] = 'តួនាទីដែលផ្តល់ឲ្យតាមលំនាំដើម';
$string['self:manage'] = 'គ្រប់គ្រងអ្នកចូលរៀន';
$string['self:unenrol'] = 'លុបឈ្មោះអ្នកប្រើពីវគ្គសិក្សា';
$string['self:unenrolself'] = 'លុបឈ្មោះខ្លួនឯងពីវគ្គសិក្សា';
$string['sendcoursewelcomemessage'] = 'ផ្ញើសារស្វាគមន៍សម្រាប់វគ្គសិក្សា';
$string['showhint'] = 'បង្ហាញព័ត៌មានជំនួយ';
$string['showhint_desc'] = 'បង្ហាញតួអក្សរដំបូងរបស់កូនសោសម្រាប់ចូលជាភ្ញៀវ។';
$string['unenrol'] = 'លុបឈ្មោះអ្នកប្រើ';
$string['unenrolselfconfirm'] = 'តើអ្នកពិតជាចង់លុបឈ្មោះអ្នកពីវគ្គសិក្សា "{$a}" មែនទេ?';
$string['unenroluser'] = 'តើអ្នកពិតជាចង់លុបឈ្មោះ "{$a->user}" ពីវគ្គសិក្សា "{$a->course}" មែនទេ?';
$string['usepasswordpolicy'] = 'ប្រើគោលការណ៍សម្រាប់ពាក្យសម្ងាត់';
$string['usepasswordpolicy_desc'] = 'ប្រើគោលការណ៍ស្តង់ដារសម្រាប់ពាក្យសម្ងាត់ជាមួយនឹងកូនសោសម្រាប់ចូលរៀន';
$string['welcometocourse'] = 'សូមស្វាគមន៍ការមកកាន់ {$a}';
$string['welcometocoursetext'] = 'សូមស្វាគមន៍ការមកកាន់ {$a->coursename} !

ប្រសិនបើអ្នកមិនបានធ្វើដូចនោះរួចរាល់ទេ អ្នកគួរតែកែសម្រួលទំព័រទម្រង់របស់អ្នកក្នុងវគ្គសិក្សា ដូច្នេះយើងអាចស្វែងយល់បន្ថែមអំពីអ្នក ៖

{$a->profileurl}';
