<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'resource', language 'km', version '2.2'.
 *
 * @package     resource
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['clicktodownload'] = 'ចុចតំណ {$a} ដើម្បីទាញយកឯកសារ។';
$string['clicktoopen2'] = 'ចុចលើតំណ {$a} ដើម្បីមើលឯកសារ។';
$string['configdisplayoptions'] = 'ជ្រើសជម្រើសទាំងអស់ដែលគួរតែមាន។ ការកំណត់ដែលមានស្រាប់មិនត្រូវបានកែប្រែទេ។ សង្កត់គ្រាប់ចុចបញ្ជា (CTRL) ដើម្បីជ្រើសប្រអប់ទិន្នន័យច្រើន។';
$string['configframesize'] = 'នៅពេលដែលតំបន់បណ្ដាញ ឬឯកសារដែលបានផ្ទុកឡើងត្រូវបានបញ្ហាញនៅក្នុងស៊ុម នោះតម្លៃនេះគឺជាទំហំ (គិតជាភីកសែល) របស់ស៊ុមកំពូល (ដែលមានការរុករក) ។';
$string['configparametersettings'] = 'វាកំណត់តម្លៃលំនាំដើមសម្រាប់បន្ទះការកំណត់ប៉ារ៉ាម៉ែត្រក្នុងសំណុំបែបបទ នៅពេលបន្ថែមធនធានថ្មី ។ បន្ទាប់ពីលើកដំបូង វាក្លាយជាចំណូលចិត្តអ្នកប្រើនីមួយៗ ។';
$string['configpopup'] = 'នៅពេលដែលបន្ថែមធនធានថ្មី ដែលអាចត្រូវបានបង្ហាញក្នុងបង្អួចលេចឡើង តើជម្រើសនេះគួរតែត្រូវបានបើកតាមលំនាំដើមឬអត់ ?';
$string['configpopupdirectories'] = 'តើបង្អួចលេចឡើងគួរតែបង្ហាញតំណថតតាមលំនាំដើមឬ ?';
$string['configpopupheight'] = 'តើបង្អួចលេចឡើងថ្មី លំនាំដើមគួរតែមានកម្ពស់ប៉ុន្មាន ?';
$string['configpopuplocation'] = 'តើបង្អួចលេចឡើងគួរតែបង្ហាញរបារទីតាំងតាមលំនាំដើមឬ ?';
$string['configpopupmenubar'] = 'តើបង្អួចលេចឡើងគួរតែបង្ហាញរបារម៉ឺនុយតាមលំនាំដើមឬ ?';
$string['configpopupresizable'] = 'តើបង្អួចលំនាំដើមគួរតែអាចប្ដូរទំហំបានតាមលំនាំដើមឬ ?';
$string['configpopupscrollbars'] = 'តើបង្អួចលេចឡើងគួរតែអាចរមូរបានតាមលំនាំដើមឬ ?';
$string['configpopupstatus'] = 'តើបង្អួចលេចឡើងគួរតែបង្ហាញរបារស្ថានភាពតាមលំនាំដើមឬ ?';
$string['configpopuptoolbar'] = 'តើបង្អួចលេចឡើងគួរតែបង្ហាញរបារឧបករណ៍តាមលំនាំដើមឬ ?';
$string['configpopupwidth'] = 'តើបង្អួចលេចឡើងថ្មី គួរតែមានទទឹងលំនាំដើមមានប្រវែងប៉ុន្មាន ?';
$string['contentheader'] = 'មាតិកា';
$string['displayoptions'] = 'ជម្រើសដែលមានសម្រាប់ការបង្ហាញ';
$string['displayselect'] = 'ការបង្ហាញ';
$string['displayselect_link'] = 'mod/file/mod';
$string['displayselectexplain'] = 'ជ្រើសប្រភេទការបង្ហាញ (មិនមែនប្រភេទទាំងអស់សុទ្ធតែសមរម្យសម្រាប់ឯកសារទាំងអស់ទេ។)';
$string['encryptedcode'] = 'កូដដែលបានអ៊ីនគ្រីប';
$string['filenotfound'] = 'ឯកសាររកមិនឃើញទេ។ សូមទោស។';
$string['filterfiles'] = 'ប្រើកម្មវិធីចម្រាញ់លើមាតិកាឯកសារ';
$string['filterfilesexplain'] = 'ជ្រើសប្រភេទចម្រាញ់មាតិកាឯកសារ។ សូមចំណាំថានេះអាចបណ្តាលឲ្យមានបញ្ហាសម្រាប់ applet Flash និង Java។ សូមឲ្យប្រាកដថាឯកសារអត្ថបទទាំងអស់គឺនៅក្នុង UTF-8។';
$string['filtername'] = 'ភ្ជាប់ទៅឈ្មោះធនធានដោយស្វ័យប្រវត្តិ';
$string['forcedownload'] = 'បង្ខំទាញយក';
$string['framesize'] = 'ទំហំស៊ុម';
$string['legacyfilesactive'] = 'សកម្ម';
$string['legacyfilesdone'] = 'បានបញ្ចប់';
$string['modulename'] = 'ធនធាន';
$string['modulenameplural'] = 'ធនធាន';
$string['neverseen'] = 'មិនដែលឃើញ';
$string['page-mod-resource-x'] = 'គ្រប់ទំព័រម៉ូឌុល "ឯកសារ"';
$string['pluginname'] = 'ធនធាន';
$string['popupheightexplain'] = 'បញ្ជាក់ពីកម្ពស់ស្រាប់របស់ផ្ទាំងផុសឡើង។';
$string['popupresource'] = 'ធនធាននេះគួរតែលេចឡើងក្នុងបង្អួចលេចឡើង ។';
$string['popupresourcelink'] = 'ប្រសិនបើមិនដូច្នោះទេ ចុចទីនេះ ៖ {$a}';
$string['popupwidthexplain'] = 'បញ្ជាក់ពីប្រវែងទទឹងស្រាប់របស់ផ្ទាំងផុសឡើង។';
$string['printintro'] = 'បង្ហាញសេចក្តីពិពណ៌នាអំពីធនធាន';
$string['printintroexplain'] = 'បង្ហាញសេចក្តីពិពណ៌នាអំពីធនធានខាងក្រោមមាតិកា? ប្រភេទនៃការបង្ហាញមួយចំនួននឹងមិនបង្ហាញសេចក្តីពិពណ៌នាទេ ទោះជាបើកក៏ដោយ។';
$string['resource:exportresource'] = 'នាំចេញធនធាន';
$string['resource:view'] = 'មើលធនធាន';
$string['resourcecontent'] = 'ឯកសារ និងថតឯកសាររង';
$string['selectmainfile'] = 'សូមជ្រើសឯកសារមេដោយចុចលើរូបតំណាងនៅជាប់នឹងឈ្មោះឯកសារ។';
