<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'url', language 'km', version '2.2'.
 *
 * @package     url
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['chooseavariable'] = 'ជ្រើសរើសអថេរ ...';
$string['clicktoopen'] = 'ចុចលើតំណ {$ a} ដើម្បីបើកធនធាន។';
$string['configdisplayoptions'] = 'ជ្រើសជម្រើសទាំងអស់ដែលគួរតែមាន (ការកំណត់ដែលមានស្រាប់មិនត្រូវបានកែប្រែទេ)។ សង្កត់គ្រាប់ចុចបញ្ជា (CTRL) ដើម្បីជ្រើសប្រអប់ទិន្នន័យច្រើន។';
$string['configframesize'] = 'នេះគឺជាកម្ពស់ (ជាភីកសែល) នៃស៊ុមកំពូល (ដែលមានប៊ូតុងសម្រាប់ការផ្លាស់ទី) នៅពេលទំព័របណ្ដាញ ឬឯកសារដែលបានផ្ទុកឡើងត្រូវបានបង្ហាញនៅក្នុងស៊ុមមួយ ។';
$string['configrolesinparams'] = 'បើកបើអ្នកចង់បញ្ចូលឈ្មោះតួនាទីនៅក្នុងបញ្ជីនៃអថេរប៉ារ៉ាម៉ែត្រដែលមាន។';
$string['contentheader'] = 'មាតិកា';
$string['displayoptions'] = 'ជម្រើសដែលមានសម្រាប់ការបង្ហាញ';
$string['displayselect'] = 'ការបង្ហាញ';
$string['displayselectexplain'] = 'ជ្រើសប្រភេទការបង្ហាញ (មិនមែនគ្រប់ប្រភេទសុទ្ធតែសមរម្យសម្រាប់តំណ URL ទាំងអស់ទេ)។';
$string['externalurl'] = 'តំណ URL ខាងក្រៅ';
$string['framesize'] = 'កម្ពស់ស៊ុម';
$string['invalidstoredurl'] = 'មិនអាចបង្ហាញធនធាននេះទេ ព្រោះតំណ URL មិនត្រឹមត្រូវ។';
$string['invalidurl'] = 'តំណ URL ដែលបានបញ្ចូលមិនត្រឹមត្រូវទេ';
$string['modulename'] = 'តំណ URL';
$string['modulenameplural'] = 'តំណ URL';
$string['page-mod-url-x'] = 'គ្រប់ទំព័រម៉ូឌុល "តំណ URL"';
$string['parameterinfo'] = '&ប៉ារ៉ាម៉ែត្រ=អថេរ';
$string['parametersheader_help'] = 'អថេរខាងក្នុង Moodle ខ្លះអាចត្រូវបានបន្ថែមដោយស្វ័យប្រវត្តិទៅតំណ URL ។ វាយឈ្មោះសម្រាប់ប៉ារ៉ាម៉ែត្ររបស់អ្នកទៅក្នុងប្រអប់អត្ថបទនីមួយៗហើយបន្ទាប់មកជ្រើសអថេរផ្គូផ្គងដែលចាំបាច់។';
$string['pluginadministration'] = 'ការគ្រប់គ្រងម៉ូឌុលតំណ URL';
$string['pluginname'] = 'តំណ URL';
$string['popupheightexplain'] = 'បញ្ជាក់ពីកម្ពស់ស្រាប់សម្រាប់ផ្ទាំងផុស';
$string['popupwidthexplain'] = 'បញ្ជាក់ពីប្រវែងទទឹងស្រាប់សម្រាប់ផ្ទាំងផុស';
$string['printintro'] = 'បង្ហាញសេចក្តីពិពណ៌នាអំពីតំណ URL';
$string['printintroexplain'] = 'បង្ហាញសេចក្តីពិពណ៌នាអំពីតំណ URL ខាងក្រោមមាតិកា? ប្រភេទបង្ហាញមួយចំនួនប្រហែលជាមិនបង្ហាញសេចក្តីពិពណ៌នាទេ ទោះជាបើកក៏ដោយ។';
$string['rolesinparams'] = 'ដាក់បញ្ចូលឈ្មោះតួនាទីក្នុងប៉ារ៉ាម៉ែត្រ';
$string['serverurl'] = 'ម៉ាស៊ីនបម្រើតំណ URL';
$string['url:view'] = 'មើលតំណ URL';
